use strict;
use XML::Simple;

# Parse the input XML document
my $root = XMLin("./ch4_simple_config.xml", forcearray=>1);

# Print config info.
print "Configuration Information\n";
print "User: $root->{db_user}->[0]->{username}->[0]\n";
print "Password: $root->{db_user}->[0]->{password}->[0]\n\n";

# Print info about the first server (note indexes = 0).
print "Server #1\n";
print "Hostname: $root->{db_server}->[0]->{hostname}\n";
print "Hostname: $root->{db_server}->[0]->{os}\n";
print "IP Address: $root->{db_server}->[0]->{server_ip}->[0]\n";
print "DB Driver: $root->{db_server}->[0]->{db_driver}->[0]\n";
print "Port: $root->{db_server}->[0]->{port}->[0]\n\n";

# Print info about the second server (note indexes = 1).
print "Server #2\n";
print "Hostname: $root->{db_server}->[1]->{hostname}\n";
print "Hostname: $root->{db_server}->[1]->{os}\n";
print "IP Address: $root->{db_server}->[1]->{server_ip}->[0]\n";
print "DB Driver: $root->{db_server}->[1]->{db_driver}->[0]\n";
print "Port: $root->{db_server}->[1]->{port}->[0]\n";
