package Custom_Handler; 

sub new { 
  my $class= ref $_[0] || $_[0]; 
  return bless {}, $class; 
}

# start_document handler
sub start_document { 
  my $code_handler= shift; 
  my $document= shift; 
}

# end_document handler
sub end_document { 
  my $code_handler= shift; 
  my $document= shift; 
}

# start_element handler
sub start_element { 
  my $code_handler= shift; 
  my $element= shift; 
  my $name= $element->{Name}; 
  my $atts= $element->{Attributes}; 
  print "<$name"; 
  
  # Loop through all the attributes
  foreach my $att (sort keys %$atts) {
    print " $att='$atts->{$att}'";
  } 
  print ">"; 
}

# characters handler
sub characters { 
  my $code_handler= shift; 
  my $character= shift; 
  print $character->{Data} if( defined $character->{Data}); 
}

# end_element handler
sub end_element { 
  my $code_handler= shift; 
  my $element= shift; 
  my $name= $element->{Name}; 
  print "</$name>"; 
}
