## ch8/Ch8-4.pl (Excel to XML)

use strict;
use XML::SAXDriver::Excel;
use XML::Handler::YAWriter;
use IO::File;

my $input_file = shift;

my $csv = XML::SAXDriver::Excel->new();

my $writer = XML::Handler::YAWriter->new(Output => IO::File->new(">out.xml"),
                                         Pretty => {
                                         PrettyWhiteIndent => 1,
                                         PrettyWhiteNewline => 1
                                          }
                                        );

$csv->parse(Source => {SystemId => $input_file}, 
            Handler => $writer,
            Declaration => {Version => '1.0'},
            Dynamic_Col_Headings => 1
            );
            
     